// SPDX-License-Identifier: Apache-2.0
import ValidatedRequest from "../../../../../../core/validation/ValidatedArgs";
import FormatValidation from "../../../../../in/request/FormatValidation";
export default class ReleaseHoldByPartitionRequest extends ValidatedRequest {
    securityId;
    partitionId;
    targetId;
    holdId;
    amount;
    constructor({ targetId, partitionId, securityId, holdId, amount, }) {
        super({
            securityId: FormatValidation.checkHederaIdFormatOrEvmAddress(),
            targetId: FormatValidation.checkHederaIdFormatOrEvmAddress(),
            partitionId: FormatValidation.checkBytes32Format(),
            amount: FormatValidation.checkAmount(),
            holdId: FormatValidation.checkNumber({ min: 0 }),
        });
        this.securityId = securityId;
        this.targetId = targetId;
        this.holdId = holdId;
        this.partitionId = partitionId;
        this.amount = amount;
        this.holdId = holdId;
    }
}
